
import Api from '../../util/Api/index'
import ToolClass from '../../util/PublicMethod/index'

export default {
  namespaced: true,
  state: {
    UserInfo: null // 用户信息
  },
  mutations: {
    UpdateUserPlaylist (state, data) {
      state.UserPlaylist = data || []
    },
    EditUserInfo (state, data) { // 编辑用户信息
      state.UserInfo = state.UserInfo === null ? {} : state.UserInfo
      state.UserInfo[data.name] = data.value
    }
  },
  actions: {
    GetUserPlaylist (context, payload) {
      return new Promise((resolve, reject) => {
        ToolClass.WxRequest({
          url: Api.GetUserPlaylist.url,
          method: Api.GetUserPlaylist.method,
          ...payload,
          success (res) {
            context.commit('UpdateUserPlaylist', res.data.data.list)
            resolve(res)
          },
          error (res) {
            reject(res)
          }
        })
      })
    }
  }
}
